# Generated by Django 5.0.8 on 2025-01-22 14:26

import django.core.validators
from django.db import migrations, models


class Migration(migrations.Migration):

    dependencies = [
        ("process", "0047_alter_workerversion_tag"),
    ]

    operations = [
        migrations.AddField(
            model_name="worker",
            name="cost_1k_elements",
            field=models.DecimalField(decimal_places=3, default=0, help_text="Cost for running any WorkerVersion of this worker over 1000 elements, in euros.", max_digits=8, validators=[django.core.validators.MinValueValidator(0)], verbose_name="Cost per 1000 elements"),
        ),
        migrations.AddField(
            model_name="worker",
            name="cost_cpu_hour",
            field=models.DecimalField(decimal_places=3, default=0, help_text="Cost for running any WorkerVersion of this worker for an hour with `use_gpu = False` set on the WorkerRun, in euros.\n\nIrrelevant if the WorkerVersion requires GPUs.", max_digits=8, validators=[django.core.validators.MinValueValidator(0)], verbose_name="CPU cost per hour"),
        ),
        migrations.AddField(
            model_name="worker",
            name="cost_gpu_hour",
            field=models.DecimalField(decimal_places=3, default=0, help_text="Cost for running any WorkerVersion of this worker for an hour with `use_gpu = True` set on the WorkerRun, in euros.\n\nIrrelevant if the WorkerVersion does not support GPUs.", max_digits=8, validators=[django.core.validators.MinValueValidator(0)], verbose_name="GPU cost per hour"),
        ),
    ]
